<?php

$testimonials = array(
    "title" => "Testimonials",
    "title_singular" => "Testimonial",
    "slug"  => "scc-testimonials"
);
$scc_testimonials_taxonomy = "scc-testimonials";

add_action('init', 'register_cpt_scc_testimonials');
add_action('admin_menu', 'scc_testimonials_menu');
add_action('admin_init', 'scc_testimonials_init');
add_action('save_post_scc-testimonials', 'scc_testimonials_save_custom_fields');

function register_cpt_scc_testimonials(){
    global $testimonials;
    global $scc_testimonials_taxonomy;

    $labels = array(
        'name' => _x( $testimonials['title'], $testimonials['slug'] ),
        'singular_name' => _x( $testimonials['title_singular'], $testimonials['slug']),
        'add_new' => _x( 'Add New', $testimonials['slug'] ),
        'add_new_item' => _x( 'Add New ' . $testimonials['title_singular'], $testimonials['slug'] ),
        'edit_item' => _x( 'Edit ' . $testimonials['title_singular'], $testimonials['slug'] ),
        'new_item' => _x( 'New ' . $testimonials['title_singular'], $testimonials['slug'] ),
        'view_item' => _x( 'View ' . $testimonials['title_singular'], $testimonials['slug'] ),
        'search_items' => _x( 'Search ' . $testimonials['title'], $testimonials['slug'] ),
        'not_found' => _x( 'No ' . $testimonials['title'] . ' found', $testimonials['slug'] ),
        'not_found_in_trash' => _x( 'No ' . $testimonials['title'] . ' found in Trash', $testimonials['slug'] ),
        'parent_item_colon' => _x( 'Parent ' . $testimonials['title'], $testimonials['slug'] ),
        'menu_name' => _x( $testimonials['title'], $testimonials['slug'] ),
    );

    $args = array(
        'labels'              => $labels,
        'hierarchical'        => false,
        'description'         => $testimonials['title'] . ' Articles',
        'supports'            => array( 'title', 'editor', 'thumbnail' ),
        'taxonomies'          => array( $scc_testimonials_taxonomy ),
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'menu_position'       => 7,
        'menu_icon'           => 'dashicons-businessman',
        'publicly_queryable'  => true,
        'exclude_from_search' => false,
        'rewrite'             => false,
        'has_archive'         => true,
        'query_var'           => true,
        'can_export'          => true,
        'capability_type'     => 'post'
    );

    /*register_taxonomy(
        $scc_testimonials_taxonomy,
        $testimonials['slug'],
        array(
            'label' => __( 'Testimonial' ),
            'hierarchical' => true,
            'rewrite' => array("slug" => 'scc-testimonial'),
            'query_var' => true,
            'has_archive' => true,
            'show_admin_column' => true
        )
    );
    flush_rewrite_rules();*/

    register_post_type( $testimonials['slug'], $args );
}

function scc_testimonials_menu(){

}

function scc_testimonials_init(){
    scc_testimonials_create_custom_fields();
}

/* =================================
 * ***** CUSTOM FIELDS ******
 * =================================
 */

//change "title" post display text so it indicates you need to enter a name
add_filter('gettext','scc_testimonials_custom_enter_title');//change post title help-display text
function scc_testimonials_custom_enter_title( $input ) {

    global $post_type;
    global $testimonials;
    $display_text = "Enter Person's Name";

    if( is_admin() && 'Enter title here' == $input && ($post_type == 'scc-testimonials') ){
        if($testimonials['slug'] == $post_type){
            return $display_text;
        }
    }

    return $input;
}

function scc_testimonials_create_custom_fields(){
    global $testimonials;

    //add stuff here
    //add_meta_box('Name', 'Name', 'function_to_handle_view', $testimonials['slug'], 'normal', 'default');
}

function scc_testimonials_save_custom_fields(){
    global $post;
    global $testimonials;
	$post_type = get_post_type($post);

	if(isset($_POST['save']) || isset($_POST['publish']) && $post_type==$testimonials['slug']){
        //update_post_meta($post->ID, 'custom_value_slug', $_POST['value_from_post']);
    }
}