<?php
require_once(get_template_directory() . '/lib/vars.php');

$angularVer = "1.5.8";

function scc_get_script_paths($key){
	$paths = [
		'vendor_js' => "/js/vendor-v1.2020.1-634d40fca0d459e6a99c32249ebeadf6cd08feb0.min.js",
		'app_js' => "/js/app-v1.2020.1-634d40fca0d459e6a99c32249ebeadf6cd08feb0.min.js",
		'admin_js' => "/js/admin-v1.2020.1-634d40fca0d459e6a99c32249ebeadf6cd08feb0.min.js",
		'app_css' => "/css/app-v1.2020.1-634d40fca0d459e6a99c32249ebeadf6cd08feb0.min.css",
		'vendor_css' => "/css/vendor-v1.2020.1-634d40fca0d459e6a99c32249ebeadf6cd08feb0.min.css"
	];

	return ( isset($key) && array_key_exists($key, $paths) )? $paths[$key] : "";
}

add_action( 'after_setup_theme', 'scc_theme_setup' );
function scc_theme_setup(){
    /* ==========  REGISTER MENUS  ========== */
    function register_my_menu() {
	    register_nav_menu('header-menu',__( 'Header Menu' ));
	}
	add_action( 'init', 'register_my_menu' );
    /* ==========  ADD THEME SUPPORTS  ========== */
    add_theme_support( 'post-thumbnails' );
    add_theme_support( 'title-tag' );

    //scripts
	add_action('wp_enqueue_scripts','scc_theme_scripts');
	add_action('admin_enqueue_scripts', 'scc_admin_scripts');
}

function scc_theme_scripts(){
	global $angularVer;
	$vendor_js = scc_get_script_paths('vendor_js');
	$app_js = scc_get_script_paths('app_js');
	$admin_js = scc_get_script_paths('admin_js');
	$app_css = scc_get_script_paths('app_css');
	$vendor_css = scc_get_script_paths('vendor_css');

//        wp_enqueue_script('scc-lib-rgbcolor',get_template_directory_uri() . '/js/lib/rgbcolor.js');
//        wp_enqueue_script('scc-nav',get_template_directory_uri() . '/js/scc-nav.js',array('jquery','scc-lib-rgbcolor'),'1.0',true);
//        wp_enqueue_script('scc-functions',get_template_directory_uri() . '/js/scc-functions.js',array('jquery'),'1.0',true);
//        wp_enqueue_script('scc-slider',get_template_directory_uri() . '/js/scc-slider.js',array('jquery'),'1.0',true);
//        wp_enqueue_script('scc-wp-overrides',get_template_directory_uri() . '/js/wp-overrides.js',array('jquery'),'1.0',true);
	wp_enqueue_script('angular-js','https://ajax.googleapis.com/ajax/libs/angularjs/' . $angularVer . '/angular.min.js',array('jquery'),$angularVer,true);
	wp_enqueue_script('angular-sanitize','https://ajax.googleapis.com/ajax/libs/angularjs/' . $angularVer . '/angular-sanitize.js',array('angular-js'),$angularVer,true);
	wp_enqueue_script('vendor-js', get_template_directory_uri() . $vendor_js);
	wp_enqueue_script('app-js', get_template_directory_uri() . $app_js, array('jquery'),'',true);

	wp_enqueue_style('Lato','https://fonts.googleapis.com/css?family=Lato:100,300,400,700,900,100italic,300italic,400italic,700italic,900italic');
	wp_enqueue_style('Roboto Slab','https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700');
	wp_enqueue_style('font-awesome','//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css');
	wp_enqueue_style('material-icons','https://cdnjs.cloudflare.com/ajax/libs/material-design-iconic-font/2.2.0/css/material-design-iconic-font.min.css');
//        wp_enqueue_style('flexboxgrid',get_template_directory_uri() . '/css/flexboxgrid.min.css');
//        wp_enqueue_style('main-css',get_template_directory_uri() . '/css/all.css');
	wp_enqueue_style('app-css', get_template_directory_uri() . $app_css);
	wp_enqueue_style('vendor-css', get_template_directory_uri() . $vendor_css);

	if(is_page_template('template-blog.php')){
		wp_enqueue_script('angularjs');
		wp_enqueue_script('angular-sanitize');
//            wp_enqueue_script('scc-blog',THEME_JS . 'scc-blog.js',array('jquery'),'1.0',true);
	}

	wp_localize_script( 'scc-blog', 'ajax_object', array(
			'ajax_url' => admin_url( 'admin-ajax.php' ),
			'we_value' => 1234 )
	);
}

//AJAX Scripts
add_action( 'wp_ajax_scc_ajax_scripts', 'scc_ajax_scripts' );
add_action( 'wp_ajax_nopriv_scc_ajax_scripts', 'scc_ajax_scripts' );

function scc_ajax_scripts(){
    include( LIB_ROOT . 'ajax-functions.php' );
}

function scc_admin_scripts(){
	$admin_js = scc_get_script_paths('admin_js');
	$vendor_js = scc_get_script_paths('vendor_js');
	global $angularVer;

	// For whatever reason, the "register_script" scripts aren't available here.  So we have to enqueue them manually all over again.  Stupid WP.
	wp_register_script('angular-js2','https://ajax.googleapis.com/ajax/libs/angularjs/' . $angularVer . '/angular.min.js',array('jquery'),$angularVer,true);
	wp_register_script('angular-sanitize2','https://ajax.googleapis.com/ajax/libs/angularjs/' . $angularVer . '/angular-sanitize.js',array('angular-js2'),$angularVer,true);
	wp_enqueue_script('vendor-js2', get_template_directory_uri() . $vendor_js);
	wp_enqueue_script('admin-js2',get_template_directory_uri() . $admin_js,array('jquery', 'angular-js2', 'angular-sanitize2', 'vendor-js2'),'', true);

//	wp_enqueue_script('admin-js2',get_template_directory_uri() . $admin_js,array('jquery'),'',true);
	wp_register_style('admin_css_all', get_template_directory_uri() . '/css/admin.css', '', '1.0.0');
	wp_enqueue_style('admin_css_all');
	wp_enqueue_style('material-icons','https://cdnjs.cloudflare.com/ajax/libs/material-design-iconic-font/2.2.0/css/material-design-iconic-font.min.css');
	wp_enqueue_media();
//    wp_enqueue_script('media-lib-uploader-js');
}

//PAGE OPTIONS
function scc_get_page_options(){
    global $post;

    $postTypes = array(
        'posts' => 'post',
        'pages' => 'page',
        'services' => 'scc-services',
        'testimonials' => 'scc-testimonials',
        'health_conditions' => 'scc-health-cond'
    );

    $defaults = array(
        "layout" => 'default',
        "sidebar" => '',
        "header_style" => 'normal'
    );

    if(isset($post)){
        $custom = get_post_custom($post->ID);
        $post_type = get_post_type($post);

        if($post_type==$postTypes['services'] || $post_type==$postTypes['health_conditions']){
            $defaults['header_style'] = "transparent";
        }

        $page_options = array(
            "layout" => isset($custom['page_layout'][0]) ? $custom['page_layout'][0] : $defaults['layout'],
            "sidebar" => isset($custom['page_sidebar'][0]) ? $custom['page_sidebar'][0] : $defaults['sidebar'],
            "header_style" => isset($custom['page_header_style'][0]) ? $custom['page_header_style'][0] : $defaults['header_style']
        );

        return $page_options;
    }else{
        return $defaults;
    }
}

/*   ================ WIDGETS ================   */
include_once(get_template_directory() . '/lib/widgets.php');
add_filter('widget_text', 'do_shortcode');

/*   ================ FIXES ================   */
//Fix automatic insertion of <p> tags in shortcodes
function wpex_fix_shortcodes($content){
    $array = array (
        '<p>[' => '[',
        ']</p>' => ']',
        ']<br />' => ']'
    );

    $content = strtr($content, $array);
    return $content;
}
add_filter('the_content', 'wpex_fix_shortcodes');

/* ==========  ADMIIN  ========== */
include_once(get_template_directory() . '/admin/scc-testimonials.php');
include_once(get_template_directory() . '/admin/scc-team.php');
include_once(get_template_directory() . '/admin/scc-services.php');
include_once(get_template_directory() . '/admin/scc-health-conditions.php');
include_once(get_template_directory() . '/admin/page-options-metabox.php');

/* ==========  SHORTCODES  ========== */
include_once(get_template_directory() . '/lib/shortcodes/components-shortcodes.php');
include_once(get_template_directory() . '/lib/shortcodes/sections-shortcodes.php');
include_once(get_template_directory() . '/lib/shortcodes/page-shortcodes.php');
include_once(get_template_directory() . '/lib/shortcodes/post-types-shortcodes.php');
?>