<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package Shape
 * @since Shape 2.0
 */
?><!DOCTYPE html>
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->

<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php wp_title( '|', true, 'right' ); ?></title>

    <!-- FAVICONS -->
	<?php $faviconDir = get_template_directory_uri() . '/images/favicons';?>
    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo $faviconDir;?>/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="<?php echo $faviconDir;?>/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo $faviconDir;?>/favicon-16x16.png">
    <link rel="shortcut icon" href="<?php echo $faviconDir;?>/favicon.ico">
    <link rel="manifest" href="<?php echo $faviconDir;?>/site.webmanifest">
    <link rel="mask-icon" href="<?php echo $faviconDir;?>/safari-pinned-tab.svg" color="#59c6cf">
    <meta name="msapplication-TileColor" content="#59c6cf">
    <meta name="msapplication-config" content="<?php echo $faviconDir;?>/browserconfig.xml">
    <meta name="theme-color" content="#59c6cf">

    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>
<div id="page" class="site">
    <?php
        $siteName = get_bloginfo('name');

        include( 'main-header.php' );
    ?>

<div id="main" class="site-main">