<?php
class Testimonials
{
    private $testimonials = [];
    private $postType = "scc-testimonials";
    private $options = [];

    public function __construct($options)
    {
        $this->options = $options;

        if($options['id']!=""){
            $this->options['id'] = explode(',',$options['id']);
        }

        $this->getTestimonials();
    }

    public function getTestimonials()
    {
        $args = array(
            'post_type' => $this->postType,
            'orderby' => 'menu_order',
            'order' => 'ASC',
            'posts_per_page' => -1
        );

        if ($this->options['limit'] > 0) {
            $args['posts_per_page'] = intval($this->options['limit']);
        }

        $qryTestimonials = new WP_Query($args);

        if ($qryTestimonials->have_posts()):
            while ($qryTestimonials->have_posts()) : $qryTestimonials->the_post();
                global $post;

                $id = get_the_ID();

                if($this->options['id'] && !in_array($id,$this->options['id'])){
                    continue;
                }

                $customFields = get_post_custom($id);

                $image = get_the_post_thumbnail();
                $content = apply_filters('the_content',get_the_content());
                $currItem = array(
                    "id" => $id,
                    "name" => get_the_title(),
                    "content" => $content,
                    "excerpt" => get_the_excerpt(),
                    "image" => ($image =="") ? THEME_IMAGES . '_defaults/testimonial_blank.png' : $image
                );

                array_push($this->testimonials,$currItem);
            endwhile;
        endif;
        /*$html = $this->generate_html();
        return $html;*/
    }

    public function generate_html(){
//        ob_start();
        ?><div class="testimonials"><?php

        foreach($this->testimonials as $testimonial): ?>
            <div class="testimonial">
                <div class="testimonial--header">
                    <div class="testimonial--image"><img src="<?php echo $testimonial['image']; ?>"></div>
                    <div class="testimonial--author"><?php echo $testimonial['name']; ?></div>
                </div>
                <div class="testimonial--content">
                    <?php echo $testimonial['content']; ?>
                </div>
            </div>
        <?php endforeach;

        ?></div><?php //end .testimonials
//        return ob_get_clean();
    }
}
?>