<?php
//TODO: Cleanup unused components, or flesh out ones that COULD be used (i.e. - File-list)
require_once(get_template_directory() . '/lib/vars.php');
require_once(get_template_directory() . '/lib/reusables.php');

add_shortcode('button','scc_button_shortcode');

add_shortcode('grid','scc_grid_shortcode');
add_shortcode('column','scc_column_shortcode');
add_shortcode('layout_pin','scc_layout_pin');
add_shortcode('layout_pin_item','scc_layout_pin_item');

add_shortcode('team','scc_team_shortcode');
add_shortcode('services_temp','scc_services_temp');
add_shortcode('slider_temp','scc_slider_temp');

add_shortcode('social_icons','scc_social_icons');
add_shortcode('social_icon','scc_social_icon');

add_shortcode('scc_awards','scc_awards_shortcode');
add_shortcode('scc_award','scc_award_shortcode');

add_shortcode('divider','scc_divider_shortcode');\

add_shortcode('blog_grid','scc_blog_grid_shortcode');

add_shortcode('contact_footer','scc_contact_footer_shortcode');

function scc_button_shortcode($attr){
    extract(shortcode_atts(
            array(
                'link'   => '',
                'text'   => '',
                'newtab' => 'no',
                'type'   => 'main',
                'theme'  => '0'
            ),
            $attr,
            'scc_button')
    );

    $classesAry = array();

    //determine additional classes-----
    //--THEME
    array_push($classesAry,"theme$theme");

    //--TYPE
    if($type !== ""){
        $types = explode(",",$type);
        $typeClass = "";

        $btnTypes = array(
            'large'   => 'btn-large',
            'outline' => 'btn-outline',
            'long'    => 'btn-long',
            'main'    => 'btn-main'
        );
        $switchTable = array(
            'large'  => $btnTypes['large'],
            'big' => $btnTypes['large'],
            'outline'  => $btnTypes['outline'],
            'long'  => $btnTypes['long'],
            'main'  => $btnTypes['main']
        );

        foreach($types as $t){
            $typeClass = "";
            $t = strtolower($t);

            if(array_key_exists($t, $switchTable)){ $typeClass = $switchTable[$t]; }

            if($typeClass!=""){
                array_push($classesAry,$typeClass);
            }
        }
    }

    //create classes string
    $classes = implode(" ",$classesAry);

    ob_start();
    ?>
    <a href="<?php echo $link;?>" <?php if($newtab=="yes"){ echo 'target="_blank"';}?>><button class="<?php echo $classes;?>"><?php echo $text; ?></button></a>
    <?php
    $sc = ob_get_contents();
    ob_end_clean();

    return $sc;

}

//SHORTCODE: grid
//DESC:      the image slider for the front page
function scc_grid_shortcode($attr,$content=null){
    extract(shortcode_atts(
            array(
                'class'    => '',
                'spacing'  => 3
            ),
            $attr,
            'scc_grid')
    );
    ob_start();
    include(SHORTCODE_TEMPLATE_FILES_URL . 'grid.php');
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//SHORTCODE: column
//DESC:      the image slider for the front page
function scc_column_shortcode($attr,$content=null){
    extract(shortcode_atts(
            array(
                'grid'    => 1,
                'span'    => '',
                'spacing' => 1
            ),
            $attr,
            'scc_column')
    );

    ob_start();
    include(SHORTCODE_TEMPLATE_FILES_URL . 'grid-col.php');
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//SHORTCODE: layout_pin
//DESC:
function scc_layout_pin($attr,$content=null){
    extract(shortcode_atts(
            array(
                'columns'    => '3'
            ),
            $attr,
            'scc_layout_pin')
    );

    ob_start();
    ?>
    <div class="layout-pin__container grid columns-<?php echo $columns;?>"><?php echo do_shortcode($content); ?></div>
    <?php
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//SHORTCODE: layout_pin_item
//DESC:
function scc_layout_pin_item($attr,$content=null){
    extract(shortcode_atts(
            array(
                'title'      => '',
                'icon'       => '',
                'icon_class' => '',
                'number'     => '',
                'color'      => '',
                'theme'      => '1',
                'marker'=> ''
            ),
            $attr,
            'scc_layout_pin')
    );

    //TODO: set up ability to use numbers or text instead of icons
    //TODO: set up ability to add small marker number

    //set up styles
    $stylesAry = [];
    $themeClass = "theme$theme";
    $styles = "";

    if($icon != "" && $icon_class == ""){
        array_push($stylesAry,"background-image: url('$icon')");
    }
    if($color != "" && $theme == "1"){
        array_push($stylesAry,"background-color: $color");
    }

    $styles = implode(';',$stylesAry);

    //MARKER TEXT
    if($marker != ""){
        $temp = str_split($marker);
        $marker = $marker[0];
    }
    ob_start();
    include(SHORTCODE_TEMPLATE_FILES_URL . 'layout-pin-item.php');
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//SHORTCODE: seminar_list
//DESC:      Seminar quickview widget
function scc_team_shortcode($attr,$content=null){
    extract(shortcode_atts(
            array(
                'position' => '',
                'members'     => ''
            ),
            $attr,
            'scc_widget_seminars_list')
    );

    ob_start();
    include(SHORTCODE_TEMPLATE_FILES_URL . 'team/scc-team.php');
    $sc = ob_get_contents();
    ob_end_clean();

    return $sc;
}

//SHORTCODE: slider_temp
function scc_slider_temp($attr,$content=null){
    extract(shortcode_atts(
            array(
                'position' => '',
                'members'     => ''
            ),
            $attr,
            'scc_widget_seminars_list')
    );

    ob_start();
    include(SHORTCODE_TEMPLATE_FILES_URL . 'slider-temp.php');
    $sc = ob_get_contents();
    ob_end_clean();

    return $sc;
}

//SHORTCODE: services_temp
//DESC:      Temp view for services
function scc_services_temp($attr,$content=null){

    ob_start();
    include(SHORTCODE_TEMPLATE_FILES_URL . 'services-temp.php');
    $sc = ob_get_contents();
    ob_end_clean();

    return $sc;
}

//TODO: Maybe combine this into one shortcode: [social_icons facebook="link" googleplus="link", etc.]
//SHORTCODE: scc_social_buttons
//DESC: social icon container (hold social_icon)
function scc_social_icons($attr,$content=null){
    extract(shortcode_atts(
            array(
                'theme'   => 'white',
                'size'    => ''
            ),
            $attr,
            'scc_social_icons')
    );


    $iconThemes = array(
        'white'   => 'theme-white',
        'gray'    => 'theme-gray',
        'black'   => 'theme-black',
        'color'   => 'theme-color',
        'default' => 'theme-white',
        '1'       => 'theme1',
        '2'       => 'theme2',
        '3'       => 'theme3',
        '0'       => 'theme-white',
        '0-1'       => 'theme0-1',
        '0-2'       => 'theme0-2',
        '0-3'       => 'theme0-3',
    );

    $iconClasses = array();
    array_push($iconClasses,'social-icons');

    //get theme
    $theme = strtolower($theme);
    //get icon theme
    if(array_key_exists($theme, $iconThemes)){
        array_push($iconClasses, $iconThemes[$theme]);
    }

    if($size != ""){
        array_push($iconClasses,strtolower($size));
    }
    $classes = implode(" ", $iconClasses);

    ob_start();
    ?>
    <div class="<?php echo $classes;?>">
        <?php echo do_shortcode($content); ?>
    </div>
    <div class="clearFix"></div>
    <?php
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//SHORTCODE: scc_social_button
//DESC: creates a social button (youtube, facebook, etc) inside the social_icons shortcode container
function scc_social_icon($attr,$content=null){
    extract(shortcode_atts(
            array(
                'theme'   => 'white',
                'type'    => '',
                'link'    => ''
            ),
            $attr,
            'scc_social_icon')
    );

    $socialIcons = array(
        'facebook'  => 'icon-facebook',
        'google+'   => 'icon-googleplus',
        'googleplus'   => 'icon-googleplus',
        'twitter'   => 'icon-twitter',
        'youtube'   => 'icon-youtube',
        'linkedin'  => 'icon-linkedin',
        'instagram' => 'icon-instagram',
        'pintrest' => 'icon-pintrest',
        'tumblr' => 'icon-tumblr',
        'website' => 'icon-website',
    );

    $iconClasses = array();
    array_push($iconClasses,'social-icon');
    $type = strtolower($type);

    //get social icon type
    if(array_key_exists($type, $socialIcons)){
        array_push($iconClasses,$socialIcons[$type]);
    }

    $classes = implode(" ", $iconClasses);

    ob_start();
    if(count($iconClasses) > 1) : ?>
    <a href="<?php echo $link; ?>" target="_blank"><div class="<?php echo $classes;?>"></div></a>
    <?php endif;
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}



function scc_awards_shortcode($attr,$content=null){
    extract(shortcode_atts(
            array(
                'size'     => 'small',
                'align'    => 'center'
            ),
            $attr,
            'scc_awards')
    );

    ob_start();
    ?>
    <div class="scc--awards <?php echo 'scc--awards__size-' . $size; ?>" style="text-align: <?php echo $align;?>">
        <?php echo do_shortcode($content);?>
    </div>
    <?php
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//SHORTCODE:
//DESC:
function scc_award_shortcode($attr,$content=null){
    extract(shortcode_atts(
            array(
                'image'    => '',
                'link'     => '',
                'alt'      => 'award icon'
            ),
            $attr,
            'scc_award')
    );

    ob_start();
    ?>
    <div class="scc--award">
        <?php if($link):?><a href="<?php echo $link;?>" target="_blank"><?php endif;?>
            <img src="<?php echo $image;?>" alt="<?php echo $alt;?>">
    <?php if($link):?></a><?php endif;?>
    </div>
    <?php
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//SHORTCODE:
//DESC:
function scc_divider_shortcode($attr,$content=null){
    extract(shortcode_atts(
            array(
                'theme'    => '0',
                'type'     => 'medium'
            ),
            $attr,
            'scc_divider')
    );

    $classesAry = array();
    array_push($classesAry,'theme'.$theme);

    $types = array(
        "full" => "type-full",
        "medium" => "type-medium",
        "small" => "type-small"
    );

    $type = strtolower($type);
    $classes = "";
    
    foreach($types as $key=>$value){
        if($key==$type){
            array_push($classesAry,$value);
            break;
        }
    }

    $classes = implode(" ",$classesAry);

    ob_start();
    ?>
    <div class="scc--divider <?php echo $classes;?>"></div>
    <?php
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//SHORTCODE:
//DESC:
function scc_blog_grid_shortcode($attr,$content=null){
    extract(shortcode_atts(
            array(
                'columns'    => '3',
                'theme'     => '0',
                "category" => "",
                "id"       => "",
                "excerpt_length"       => 15,
                "excerpt_more"       => "",
            ),
            $attr,
            'scc_blog_grid')
    );

    $classesAry = array();
    array_push($classesAry,'theme'.$theme);
    
    $classes = "";
    $classes = implode(" ",$classesAry);

    $options = array(
        "classes"        => $classes,
        "limit"          => 3,
        "columns"        => $columns,
        "category"       => $category,
        "id"             => $id,
        "excerpt_length" => $excerpt_length,
        "excerpt_more"   => $excerpt_more
    );
    

    require_once(SHORTCODE_CLASSES . 'BlogPosts.php');
    $Posts = new BlogPosts($options);

    ob_start();
    $Posts->blog_grid();
    return ob_get_clean();
}

//SHORTCODE:
//DESC:
function scc_contact_footer_shortcode($attr,$content=null){
    extract(shortcode_atts(
            array(
                'theme'    => '',
                'phone'    => '',
                'name'     => '',
                'address'  => '',
                'email'    => '',
                'lat'      => '',
                'lon'      => '',
                'align'    => '',
                'placement'=> ''
            ),
            $attr,
            'scc_contact_footer')
    );

    $classesAry = [];
    $classes = "";
    $stylesAry = [];
    $styles = "";

    array_push($classesAry,'contact-footer');

    $alignment = strtolower($align);
    $placement = strtolower($placement);

    if($alignment == "right" || $alignment == "left"){
        array_push($classesAry,"align-" . $alignment);
    }

    if($placement == "right" || $placement == "left"){
        array_push($stylesAry,"float:" . $placement);
    }

    $classes = implode(' ',$classesAry);
    $styles = implode(';',$stylesAry);

    ob_start();
    ?>
    <div class="<?php echo $classes; ?>" style="<?php echo $styles;?>" itemscope itemtype="https://schema.org/LocalBusiness">
        <?php if($phone !=""): ?>
            <div class="contact-footer__item">
                <i class="zmdi zmdi-phone"></i>
                <div itemprop="telephone"><?php echo $phone;?></div>
            </div>
        <?php endif;
        if($email != ""): ?>
            <div class="contact-footer__item">
                <i class="zmdi zmdi-email"></i>
                <div><?php echo $email;?></div>
            </div>
        <?php endif;
        if($address != ""): ?>
            <div class="contact-footer__item">
                <i class="zmdi zmdi-pin"></i>
                <div>
                    <?php if($name !=""): ?><span itemprop="name"><?php echo $name;?></span><?php endif; ?>
                    <span itemprop="address"><?php echo $address;?></span>
                </div>
            </div>
        <?php endif; ?>

        <?php if($lat != ""): ?>
            <meta itemprop="latitude" content="<?php echo $lat; ?>">
        <?php endif; ?>
        <?php if($lon != ""): ?>
            <meta itemprop="longitude" content="<?php echo $lon; ?>">
        <?php endif; ?>
    </div>
    <div class="clearFix"></div>
    <?php
    $sc = ob_get_contents();

    ob_end_clean();

    return $sc;
}

//=================================
//------------FUNCTIONS------------
//=================================
function getSliderAlignClass($align){
    $alignClass = "align-left";
    switch($align){
        case "left":
            $alignClass = "align-left";
            break;
        case "right":
            $alignClass = "align-right";
            break;
        case "center":
            $alignClass = "align-center";
            break;
    }
    return $alignClass;
}
?>