<?php
    $slides = [
        array(
            "image"=> array(
                "url"=>get_template_directory_uri() . "/images/slider/slide1.jpg",
                "url_mobile"=>"",
                "position"=>"center center"
            ),
            "title"=>"Set to Live.",
            "text"=>"We strive to make it effortless to protect your life, so you can get back to what’s important to you in real life.",
            "button"=>array(
                "text"=>"Get Started",
                "url"=>"./get-started"
            ),
            "align"=>"left",
            "class"=>"slide1",
            "slider_text_class"=> "col-lg-6 col-md-9 col-sm-9 col-xs-12"
        ),
        array(
            "image"=> array(
                "url"=>get_template_directory_uri() . "/images/slider/slide2.jpg",
                "url_mobile"=>"",
                "position"=>"center center"
            ),
            "title"=>"Set to Go.",
            "text"=>"You ‘re just three simple steps away from stabilizing your life.",
            "button"=>array(
                "text"=>"Get Started",
                "url"=>"./get-started"
            ),
            "align"=>"left",
            "class"=>"slide2",
            "slider_text_class"=> "col-lg-6 col-md-9 col-sm-9 col-xs-12"
        ),
        array(
            "image"=> array(
                "url"=>get_template_directory_uri() . "/images/slider/slide3.jpg",
                "url_mobile"=>"",
                "position"=>"right center"
            ),
            "title"=>"Set to Work.",
            "text"=>"Improving your game, prospering at work, or being able to thrive at home, thousands have benefited with Sound Wave Technology.",
            "button"=>array(
                "text"=>"Get Started",
                "url"=>"./get-started"
            ),
            "align"=>"left",
            "class"=>"slide3",
            "slider_text_class"=> "col-lg-7 col-md-9 col-sm-9 col-xs-12"
        )
    ];
?>
<div id="slider">
    <div class="arrow arrow-left" ng-click="prevSlide()"></div>
    <div class="arrow arrow-right" ng-click="nextSlide()"></div>

    <div class="slider-slides">
        <?php foreach($slides as $slide): ?>
            <div class="slide-cont">
                <div class="slide-move">
                    <div class="slide <?php echo $slide['class'] . " align-" . $slide['align'];?>" style="background-image: url('<?php echo $slide['image']['url'];?>'); background-position: <?php echo $slide['image']['position'];?>">
                        <div class="slide-text-container wrapper padding-default row start-xs middle-xs middle-sm middle-md middle-lg">
                            <div class="slide-text <?php echo $slide['slider_text_class'];?>">
                                <h2><?php echo $slide['title'];?></h2>
                                <p><?php echo $slide['text'];?></p>

                                <?php if($slide['button']): ?>
                                    <div class="action-btn">
                                        <a href="<?php echo $slide['button']['url']; ?>"><button class="btn-main btn-large"><?php echo $slide['button']['text'];?></button></a>
                                    </div>
                                <?php endif; ?>
                            </div>
                            <div class="slide-image-mobile" style="background-image: url('<?php echo $slide['image']['url'];?>'); background-position: <?php echo $slide['image']['position'];?>">
                                <h2><?php echo $slide['title'];?></h2>
                            </div>
                            <div class="slide-text-mobile">
                                <p><?php echo $slide['text'];?></p>

                                <?php if($slide['button']): ?>
                                    <div class="action-btn">
                                        <a href="<?php echo $slide['button']['url']; ?>"><button class="btn-main btn-large"><?php echo $slide['button']['text'];?></button></a>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
    <div class="slider-indicators">
        <span></span>
        <span></span>
        <span></span>
    </div>
</div>